Page MenuHomePhabricator

Edits to EntitySchema pages are not autopatrolled
Closed, ResolvedPublic3 Story Points

Description

Problem:
Several edits to EntitySchema pages by autoconfirmed users aren’t being marked as patrolled for some reason.

Example:

BDD
GIVEN an EntitySchema
AND a user in the autoconfirmed group
WHEN making an edit to the EntitySchema
THEN that edit should automatically be marked as patrolled

Acceptance criteria:

  • edits by autoconfirmed users on Schema pages are marked as patrolled automatically

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2019, 4:17 PM

For example, I had to manually patrol these four E10 edits. You can also see the patrol log entries in the EntitySchema namespace via the API (Special:Log doesn’t let you filter by namespace, only by target page).

WMDE-leszek set the point value for this task to 3.Jun 12 2019, 12:08 PM

Change 516773 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/EntitySchema@master] Edit should be autopatrolled as usual

https://gerrit.wikimedia.org/r/516773

Change 516773 merged by jenkins-bot:
[mediawiki/extensions/EntitySchema@master] Edit should be autopatrolled as usual

https://gerrit.wikimedia.org/r/516773

Addshore moved this task from incoming to in progress on the Wikidata board.Jun 21 2019, 11:27 PM